darktable (5.0.1-2) unstable; urgency=medium

  * Add user-read permission to dummy database backup files. Cherry picked
    from upstream commit d8c060354a (Closes: #1108072).

 -- David Bremner <bremner@debian.org>  Tue, 24 Jun 2025 06:49:18 -0300

darktable (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 18 Feb 2025 15:45:19 +0100

darktable (5.0.0-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Also build for ppc64el, riscv64 and loong64 (Closes: #1031506)

  [ Tino Mettler ]
  * New upstream version 5.0.0
  * Remove patch, applied upstream
  * Add myself to Uploaders field, as suggested by David Bremner

 -- David Bremner <bremner@debian.org>  Sun, 05 Jan 2025 13:58:05 -0400

darktable (4.8.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Revert arm64 hack now that gcc-13 is fixed.

 -- David Bremner <bremner@debian.org>  Tue, 13 Aug 2024 14:54:39 -0300

darktable (4.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.8.1
  * Add patch to fix segfault with an empty directory as cmdline argument

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 31 Jul 2024 21:54:23 +0200

darktable (4.8.0-1) unstable; urgency=medium

  [ Tino Mettler ]
  * New upstream version 4.8.0
  * Update to standards version 4.7.0, no changes needed
  * Use dpkg-buildflags and enable hardening

 -- David Bremner <bremner@debian.org>  Sat, 27 Jul 2024 16:18:25 +0900

darktable (4.6.1-3) unstable; urgency=medium

  * Bug fix: "Please drop unused Build-Depends: libsoup2.4-dev", thanks to
    Jeremy Bícha (Closes: #1070405).
  * Replace "any-amd64" with "amd64", as the only other autobuilt
    architecture matching "any-amd64" is x32, which does not build.

 -- David Bremner <bremner@debian.org>  Sat, 11 May 2024 20:04:21 -0300

darktable (4.6.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS due to broken check for arm64

 -- Tino Mettler <tino+debian@tikei.de>  Sun, 18 Feb 2024 18:29:32 +0100

darktable (4.6.1-1) unstable; urgency=medium

  [ David Bremner ]
  * Drop dependence on python3-imath, no longer needed

  [ Tino Mettler ]
  * New upstream version 4.6.1
  * Restructure configure options
  * Use system libraw and remove the internal copy (Closes: #1002876)
  * Remove dpkg-parsechangelog usage and cruft from debian/rules
    (Closes: #1060911)
  * Don't require root at build time
  * Update to standards version 4.6.2, no changes needed

 -- David Bremner <bremner@debian.org>  Sun, 18 Feb 2024 07:38:22 -0400

darktable (4.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mitchell Dzurick ]
  * Disable openmp for arm64 builds for now (LP: #2038351)
    See Debian bug: #1053405

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Dec 2023 10:05:05 -0500

darktable (4.4.2-1) unstable; urgency=medium

  * Update to new upstream version 4.4.2.
  * Drop patch 385aacf61e, now upstream

 -- David Bremner <bremner@debian.org>  Sun, 20 Aug 2023 09:26:40 -0300

darktable (4.2.1-4) unstable; urgency=medium

  * Cherry-pick upstream commit 385aacf61e55903bb064e0fe99a1d138645f697c:
    add StartupWMClass=darktable to .desktop file. (Closes: #1033001).

 -- David Bremner <bremner@debian.org>  Sun, 19 Mar 2023 14:10:18 -0300

darktable (4.2.1-3) unstable; urgency=medium

  * Bug fix: "AVIF support is missing in Darktable", thanks to Guy
    Rutenberg (Closes: #1032054).

 -- David Bremner <bremner@debian.org>  Mon, 27 Feb 2023 08:03:27 -0400

darktable (4.2.1-2) unstable; urgency=medium

  * Upload to unstable
  * drop obsolete URL from debian/copyright.

 -- David Bremner <bremner@debian.org>  Sun, 26 Feb 2023 13:59:35 -0400

darktable (4.2.1-1) experimental; urgency=medium

  * Update to new upstream version 4.2.1.
  * Replace embedded Libraw with 0.21.0. See Debian bug #1031790 /
    CVE-2021-32142

 -- David Bremner <bremner@debian.org>  Fri, 24 Feb 2023 08:07:51 -0400

darktable (4.2.0-2) unstable; urgency=medium

  * Build against libjxl. Bug fix: "Missing JPEG XL support", thanks to Davide G. Borin (Closes:
    #1027054).

 -- David Bremner <bremner@debian.org>  Tue, 27 Dec 2022 08:24:36 -0400

darktable (4.2.0-1) unstable; urgency=medium

  * Update to new upstream version 4.2.0.

 -- David Bremner <bremner@debian.org>  Mon, 26 Dec 2022 18:08:02 -0400

darktable (4.0.0-1) unstable; urgency=medium

  * Update to new upstream version 4.0.0.
  * Bug fix: "Update to latest major", thanks to Shin Ice (Closes:
    #1017387).
  * Bug fix: "misses optional dependencies sdl2 and portmidi", (Closes:
    #1003174).

 -- David Bremner <bremner@debian.org>  Sun, 04 Sep 2022 14:34:40 -0300

darktable (3.8.1-2) unstable; urgency=medium

  * Bug fix: "Please rebuild darktable 3.8.1. against newer exiv2 for CR3
    support", thanks to Mike Brodbelt (Closes: #1009082).

 -- David Bremner <bremner@debian.org>  Sat, 09 Apr 2022 13:04:04 -0300

darktable (3.8.1-1) unstable; urgency=medium

  * Update to new upstream version 3.8.1.
  * Drop aarch64 related patch (now upstream commit 51856af).

 -- David Bremner <bremner@debian.org>  Mon, 28 Feb 2022 09:00:30 -0400

darktable (3.8.0-3) unstable; urgency=medium

  * Bump Lua depends to 5.4. Bug fix: "luarc scripts no longer load on startup", thanks to Ritchie
    Wilson (Closes: #1004051).

 -- David Bremner <bremner@debian.org>  Thu, 20 Jan 2022 10:29:09 -0400

darktable (3.8.0-2) unstable; urgency=medium

  * Bug fix: "FTBFS on arm64", cherry-pick upstream commit 51856af
    (Closes: #1002900).
  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Tue, 11 Jan 2022 22:30:56 -0400

darktable (3.8.0-1) experimental; urgency=medium

  * New upstream feature release (see
    /usr/share/doc/darktable/RELEASE_NOTES.md.gz for details).
  * Embeds libraw (again).

 -- David Bremner <bremner@debian.org>  Thu, 30 Dec 2021 07:33:39 -0400

darktable (3.6.1-1) unstable; urgency=medium

  * New upstream feature release (see
    /usr/share/doc/darktable/RELEASE_NOTES.md.gz for details).

 -- David Bremner <bremner@debian.org>  Sat, 18 Sep 2021 08:46:06 -0300

darktable (3.6.0-2) unstable; urgency=medium

  * Rebuild for unstable
  * Drop unused build dependency on flickcurl.

 -- David Bremner <bremner@debian.org>  Fri, 27 Aug 2021 08:50:13 -0700

darktable (3.6.0-1) experimental; urgency=medium

  * Update to new upstream version 3.6.0.
  * Drop patches, all are now upstream.
  * Bug fix: "Please add iso-codes to the build-dependencies", thanks to
    Laurent Bigonville (Closes: #990545).

 -- David Bremner <bremner@debian.org>  Sat, 03 Jul 2021 11:12:05 -0300

darktable (3.4.1-5) unstable; urgency=medium

  * Bug fix: "configuring shortcuts breaks filemanager gui at next start
    filemanager issueVersion: 3.4.1-4", thanks to stef.binde (Closes:
    #990405). Closed by cherry-picking upstream commit 154e945f.

 -- David Bremner <bremner@debian.org>  Wed, 30 Jun 2021 09:37:35 -0300

darktable (3.4.1-4) unstable; urgency=medium

  * Bug fix: "crashes with 'Floating point exception (core dumped)' after
    loading some DNG files", thanks to Jonas Smedegaard (Closes: #989222).
    Cherry pick upstream commit 2ff4fc58e44.

 -- David Bremner <bremner@debian.org>  Sat, 05 Jun 2021 12:41:39 -0300

darktable (3.4.1-3) unstable; urgency=medium

  * Bug fix: "broken symlinks: /usr/share/darktable/js/*.js -&gt;
    ../../javascript/*/*.js", thanks to Andreas Beckmann (Closes:
    #988874).

 -- David Bremner <bremner@debian.org>  Thu, 20 May 2021 14:07:16 -0300

darktable (3.4.1-2) unstable; urgency=medium

  * Bug fix: "darktable FTBFS with DEB_BUILD_OPTIONS=parallel=1", thanks
    to Helmut Grohne (Closes: #986574). As Helmut guessed, the fix is to
    add a dependency to the CMake configuration.

 -- David Bremner <bremner@debian.org>  Thu, 08 Apr 2021 07:58:21 -0300

darktable (3.4.1-1) unstable; urgency=medium

  * Update to new upstream version 3.4.1.
  * Bug fix: "use default values for empty config settings", thanks to
    Fabian Inostroza (Closes: #969137).

 -- David Bremner <bremner@debian.org>  Sat, 06 Feb 2021 12:42:43 -0400

darktable (3.4.0-2) unstable; urgency=medium

  * Bug fix: "FTBFS on arm64", thanks to Pascal Obry (Closes: #978936).
    Cherry picked upstream commit 3e0604a

 -- David Bremner <bremner@debian.org>  Fri, 08 Jan 2021 07:52:30 -0400

darktable (3.4.0-1) unstable; urgency=medium

  * New upstream release
    - New module grouping feature
    - Module masking enhanced for use with scene-referred workflows.
    - New color calibration module.
    - Updated map view

 -- David Bremner <bremner@debian.org>  Fri, 25 Dec 2020 15:59:42 -0400

darktable (3.2.1-3) unstable; urgency=medium

  * Bug fix: "export as web gallery broken", thanks to Jonas Smedegaard
    (Closes: #713974).
  * Bug fix: "Superfluous dependencies", thanks to astian (Closes:
    #960047).

 -- David Bremner <bremner@debian.org>  Fri, 28 Aug 2020 07:50:50 -0300

darktable (3.2.1-2) unstable; urgency=medium

  * update debian/changelog for src/external/libxcf

 -- David Bremner <bremner@debian.org>  Mon, 10 Aug 2020 21:42:19 -0300

darktable (3.2.1-1) unstable; urgency=medium

  * New upstream feature release
  * See /usr/share/doc/darktable/RELEASE_NOTES.md for changes and new
    features.

 -- David Bremner <bremner@debian.org>  Mon, 10 Aug 2020 20:21:15 -0300

darktable (3.0.2-1) unstable; urgency=medium

  * Bug fixes since 3.0.1
  - Fix color peaking mode in culling mode.
  - Fix single expanded module in some cases.
  - Fix a watermark issue that could crash darktable.
  - Fix issue with gradient mask rotation in some cases.
  - Fix upward compatibility support in base adjustment module.
  - Fix issues on some Lut 3D files.
  * Bug fixes since 3.0.0
  - All valid Lut files are displayed in file selector.
  - Fix straightening in crop and rotate module when flip is applied.
  - The ellipse and gradient masks can now be manipulated when the crop
    and rotate flip is activated.
  - Fix style editing from lighttable. The modules list was empty due to
    an error in SQL statement.
  - Make clicking on group icon easier. The active zone around the group
    icon was too small.
  - Make sure no more than 64 spots are added in spot removal module and
    display a message when the limit is reached.
  - Delay histogram display until the image is fully loaded and so the
    corresponding histogram is ready.
  - Properly update the XMP when doing undo/redo actions.
  - Fix discrepancies between the SSE/OpenCL local Laplacian code paths.
  - Exports should now better respect the final dimensions requested.
  - Fix issues with brush opacity handling.
  - Better performance for computing the aspect ratio.
  - Better visibility of tone curve grid on Grey theme.
  - Better accuracy for the keystone OSD lines.
  - Better performance and accuracy improvements for the waveform histogram.
  - Fix brush OSD when in zoom mode. The brushes are now keeping thin
    lines.
  - Fix watermark blurring when using rotation.
  - Fix using apostrophe in meta-data.
  - Fix time-line display reporting 61 minutes per hour.
  - Remove wrong presets in RGB-curve module.
  * Convert to debhelper-compat=12

 -- David Bremner <bremner@debian.org>  Sat, 18 Apr 2020 19:19:20 -0300

darktable (3.0.0-1) experimental; urgency=medium

  * Major upstream feature release.

 -- David Bremner <bremner@debian.org>  Mon, 30 Dec 2019 08:47:11 -0400

darktable (2.6.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * New Features
    - April 1st game is now disabled by default
    - Print module default margin set 17mm
    - Add support for disabling base-curve by default
    - Add support for disabling sharpen by default
  * Bugfixes
    - Source with OpenMP can be compiled with GCC-9 and clang (Closes: #944164).
    - Update skin tone preset on color-zones module
    - Fix compiling with exiv 0.27.2.1
    - Fix picasa, piwigo and facebook SSL support
  * Camera Support
    - Epson R-D1s, R-D1x
    - Fujifilm FinePix F770EXR, X-T30 (compressed), XF10
    - Kodak EasyShare Z981, Z990
    - Leica C (Typ 112) (4:3), CL (dng) Q (Typ 116) (dng), Q2 (dng), SL
      (Typ 601) (dng), V-LUX (Typ 114) (3:2, 4:3, 16:9, 1:1)
    - Olympus E-M1X, TG-6
    - Panasonic DC-G90 (4:3), DC-G91 (4:3), DC-G95 (4:3), DC-G99 (4:3), DC-ZS200 (3:2),
      DMC-TX1 (3:2)
    - Sony DSC-RX0M2, ILCE-6400, ILCE-7RM4
  * Balance Presets/Profiles: Panasonic DC-LX100M2

 -- David Bremner <bremner@debian.org>  Sat, 23 Nov 2019 15:08:08 -0400

darktable (2.6.2-3) unstable; urgency=medium

  * Add missing build-depends on g++-8

 -- David Bremner <bremner@debian.org>  Sun, 08 Sep 2019 20:00:54 -0300

darktable (2.6.2-2) unstable; urgency=medium

  * upload to unstable
  * Force build to use gcc-8 (Closes: #939755).

 -- David Bremner <bremner@debian.org>  Sun, 08 Sep 2019 11:43:47 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog darktable`.
